The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get SSL Keys

Prev Next

This URL gets the list of SSL keys imported for the specified Sensor and is applicable for Sensors other than 9.2 NS-series.

Resource URL

GET /sensor/<sensor_id>/action/sslkey

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Response Parameters

Details of GetSSLResponseList:

Field Name

Description

Data Type

SSLDescriptor

List of SSL descriptor

Array

Details of SSLDescriptor:

Field Name

Description

Data Type

Aliasname

SSL alias name

String

Status

Status of the key

String

SslId

ID of the SSL key

Number

LastImport

Latest SSL key import date

String

LastUpdate

Latest SSL key update time

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/action/sslkey

Response

{
       		"SSLDescriptor":
      		[
         	  		{
               			"AliasName": "admin1",
             			"SslId": 1015,
               			"Status": "Valid",
               			"LastImport": "Thu Aug 02 17:37:33 IST 2012",
              			"LastUpdate": "Thu Aug 02 17:37:33 IST 2012"
           		}
       		]
    	}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive